Subject: Re: uboot environment variables size for Yosemite board.

From: John Otken <[email-masked]>
Date: Mon, 17 Jul 2006 06:02:33 -0500

Wolfgang Denk wrote:
> In message <[email-masked]> you wrote:
>> I'm using uboot-1.1.4 for AMCC PPC440E Yosemite board. I've downloaded
> 
> Note that this is off topic here. You should have posted this on  the
> U-Boot-Users mailing list instead.
> 
>> this uboot from DENX site. It uses EEPROM to store environment
>> variables. Since EEPROM on Yosemite board is only 512 bytes, there can
>> not be more environment variables which is not very convenient.
> 
> Thisi s wrong. The Yosemite configuration uses (like most (all?) AMCC
> eval boards - two redundand flash sectors to store  the  environment.
> And available environment size is 8 kB:

He has an older Yosemite.  The original Yosemite U-Boot used the EEPROM
for environment variables.

> 	=> print
> 	...
> 	Environment size: 1355/8187 bytes
> 
>> There is theoretical possibility to save these variables on flash (64M
>> from which I use only part) and yosemite.h header file even has defines,
>> allowing this option. But is it going work in reality? What is simplest
>> way for Yosemite board to increase environment variables storage space?
> 
> I have no idea where you got your board configuration from, but it is
> definitely   not   current   code,   nor   the   binary   image    at
> ftp://ftp.denx.de/pub/u-boot/images/amcc/yosemite/u-boot.bin
> 
> The current code does use (redundand) flash for environment storage.
> 
> Best regards,
> 
> Wolfgang Denk
>